%define upstream_name    IO-Util
%define upstream_version 1.5

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 12

Summary:	A selection of general-utility IO function
License:	GPL+ or Artistic
Group:		Development/Perl
Url:		https://metacpan.org/release/%{upstream_name}
Source0:	https://cpan.metacpan.org/authors/id/D/DO/DOMIZIO/%{upstream_name}-%{upstream_version}.tar.bz2
Patch0:		IO-Util-1.5-encoding.patch

BuildRequires:	perl(Test::Pod)
BuildRequires:	perl(Test::Pod::Coverage)

BuildArch:	noarch

%description
This is a micro-weight module that exports a few functions of general utility
in IO operations.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}
%autopatch -p1

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make_build

%check
%make_build test

%install
%make_install

%files
%doc Changes README
%{perl_vendorlib}/IO/*
%{_mandir}/*/*




%changelog
* Thu Jun 26 2025 umeabot <umeabot> 1.500.0-12.mga10
+ Revision: 2199521
- Mageia 10 Mass Rebuild

* Sun Mar 20 2022 umeabot <umeabot> 1.500.0-11.mga9
+ Revision: 1804143
- Mageia 9 Mass Rebuild

* Wed Feb 12 2020 umeabot <umeabot> 1.500.0-10.mga8
+ Revision: 1495172
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%makeinstall_std

* Wed Sep 19 2018 umeabot <umeabot> 1.500.0-9.mga7
+ Revision: 1268838
- Mageia 7 Mass Rebuild

* Sun Jun 19 2016 pterjan <pterjan> 1.500.0-8.mga6
+ Revision: 1028794
- Rebuild for perl 5.22.2

* Fri Feb 05 2016 umeabot <umeabot> 1.500.0-7.mga6
+ Revision: 938700
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 1.500.0-6.mga5
+ Revision: 748058
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.500.0-5.mga5
+ Revision: 685091
- Mageia 5 Mass Rebuild

* Sat Jan 11 2014 pterjan <pterjan> 1.500.0-4.mga4
+ Revision: 566251
- Set encoding for non ascii pod
+ umeabot <umeabot>
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 1.500.0-2.mga3
+ Revision: 368614
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Thu Jan 13 2011 jquelin <jquelin> 1.500.0-1.mga1
+ Revision: 12277
- imported package perl-IO-Util


* Fri Feb 12 2010 Jérôme Quelin <jquelin@mandriva.org> 1.500.0-1mdv2010.1
+ Revision: 504937
- rebuild using %%perl_convert_version

* Fri Sep 04 2009 Thierry Vignaud <tv@mandriva.org> 1.5-4mdv2010.0
+ Revision: 430474
- rebuild

* Thu Jul 31 2008 Thierry Vignaud <tv@mandriva.org> 1.5-3mdv2009.0
+ Revision: 257367
- rebuild

* Thu Dec 20 2007 Olivier Blin <oblin@mandriva.com> 1.5-1mdv2008.1
+ Revision: 135856
- restore BuildRoot

  + Thierry Vignaud <tv@mandriva.org>
    - kill re-definition of %%buildroot on Pixel's request

* Mon May 14 2007 Oden Eriksson <oeriksson@mandriva.com> 1.5-1mdv2008.0
+ Revision: 26678
- Import perl-IO-Util



* Mon May 14 2007 Oden Eriksson <oeriksson@mandriva.com> 1.5-1mdv2007.1
- initial Mandriva package 
